Redmine - Feature #37119

Drop redcarpet dependency for common_mark formatter
2022-05-15 12:56 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

Redmine fails to start when it's installed without markdown group (#36892).

We should fix this and drop the redcarpet dependency for common_mark.

Related issues:
Related to Redmine - Defect #36892: Redmine does not start when installed --w... Closed

Associated revisions

Revision 21643 - 2022-06-16 23:39 - Marius BALTEANU

Move methods related to wiki section to a helper file and include it in all 3 formatters (#37119).

Revision 21644 - 2022-06-16 23:39 - Marius BALTEANU

Drop redcarpet dependency from common_mark group (#37119).

Revision 21654 - 2022-06-17 12:31 - Marius BALTEANU
Fix rubocop warnings (#37119).

Revision 21683 - 2022-06-25 23:33 - Marius BALTEANU
Add frozen_string_literal and copyright (#37119).

History

#1 - 2022-05-17 23:51 - Marius BALTEANU
- Assignee set to Marius BALTEANU

#2 - 2022-05-18 00:12 - Marius BALTEANU
- File 0001-Move-methods-related-to-section-to-a-helper-file-and.patch added

- File 0002-Drop-redcarpet-dependency-from-common_mark-group.patch added

holger mareck, | made a patch that should fix this.

What | did?
¢ |'ve moved the methods get_section, update_section and extract_sections to a new helper file (Redmine::WikiFormatting::SectionHelper)
e the new helper file is included by all three formatters
¢ textile formatter overrides extract_sections method which his own implementation

¢ |'ve removed the redcarpet dependency from common_mark group.

What do you think?

#3 - 2022-06-16 17:05 - Holger Just

Looks good to me, tanks!

#4 - 2022-06-16 23:40 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/36892
https://www.redmine.org/users/13581

Thanks Holger for your review. I've committed both changes.

#5 - 2023-05-22 17:28 - Holger Just
- Related to Defect #36892: Redmine does not start when installed --without markdown added

Files
0002-Drop-redcarpet-dependency-from-common_mark-group.patch 874 Bytes 2022-05-17 Marius BALTEANU
0001-Move-methods-related-to-section-to-a-helper-file-and.patch 6.75 KB 2022-05-17 Marius BALTEANU

2025-05-17 22


http://www.tcpdf.org

